cURL
curl --request POST \
--url https://app.teable.ai/api/space/%7BspaceId%7D/reward/claim \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
--header 'content-type: application/json' \
--data '{"sourceType":"socialShare","sourceMetaData":{"platform":"x","postUrl":"string","postId":"string","snapshotId":"string","content":"string","username":"string","followerCount":0,"verifyResult":{"isValid":true,"errors":[{"message":"string","localization":{"i18nKey":"string","context":{"property1":null,"property2":null}}}]}}}'const url = 'https://app.teable.ai/api/space/%7BspaceId%7D/reward/claim';
const options = {
method: 'POST',
headers: {
Authorization: 'Bearer REPLACE_BEARER_TOKEN',
'content-type': 'application/json'
},
body: '{"sourceType":"socialShare","sourceMetaData":{"platform":"x","postUrl":"string","postId":"string","snapshotId":"string","content":"string","username":"string","followerCount":0,"verifyResult":{"isValid":true,"errors":[{"message":"string","localization":{"i18nKey":"string","context":{"property1":null,"property2":null}}}]}}}'
};
try {
const response = await fetch(url, options);
const data = await response.json();
console.log(data);
} catch (error) {
console.error(error);
}const http = require('https');
const options = {
method: 'POST',
hostname: 'app.teable.ai',
port: null,
path: '/api/space/%7BspaceId%7D/reward/claim',
headers: {
Authorization: 'Bearer REPLACE_BEARER_TOKEN',
'content-type': 'application/json'
}
};
const req = http.request(options, function (res) {
const chunks = [];
res.on('data', function (chunk) {
chunks.push(chunk);
});
res.on('end', function () {
const body = Buffer.concat(chunks);
console.log(body.toString());
});
});
req.write(JSON.stringify({
sourceType: 'socialShare',
sourceMetaData: {
platform: 'x',
postUrl: 'string',
postId: 'string',
snapshotId: 'string',
content: 'string',
username: 'string',
followerCount: 0,
verifyResult: {
isValid: true,
errors: [
{
message: 'string',
localization: {i18nKey: 'string', context: {property1: null, property2: null}}
}
]
}
}
}));
req.end();import http.client
conn = http.client.HTTPSConnection("app.teable.ai")
payload = "{\"sourceType\":\"socialShare\",\"sourceMetaData\":{\"platform\":\"x\",\"postUrl\":\"string\",\"postId\":\"string\",\"snapshotId\":\"string\",\"content\":\"string\",\"username\":\"string\",\"followerCount\":0,\"verifyResult\":{\"isValid\":true,\"errors\":[{\"message\":\"string\",\"localization\":{\"i18nKey\":\"string\",\"context\":{\"property1\":null,\"property2\":null}}}]}}}"
headers = {
'Authorization': "Bearer REPLACE_BEARER_TOKEN",
'content-type': "application/json"
}
conn.request("POST", "/api/space/%7BspaceId%7D/reward/claim", payload, headers)
res = conn.getresponse()
data = res.read()
print(data.decode("utf-8"))
{
"id": "<string>"
}reward
Claim a reward
Submit a reward claim (e.g., social share)
POST
/
space
/
{spaceId}
/
reward
/
claim
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Last modified on March 5, 2026
Was this page helpful?
⌘I

